package migrations

import (
	"github.com/forgeo/forgebucket/internal/models"
	"xorm.io/xorm"
)

func Run(engine *xorm.Engine) error {
	if err := engine.Sync2(
		&models.User{},
		&models.Repository{},
		&models.PullRequest{},
		&models.FederationActor{},
		&models.Issue{},
		&models.SSHKey{},
	); err != nil {
		return err
	}
	return Run002(engine)
}
